#!/usr/bin/awk -f

## Data format    : 1:real_time 2:relat_time  3:x   4:F(x>0,t)   5:F(x<0,t)   6:v   7:F(v>0,t)   8:F(v<0,t)

/^## Data format/ {
        printf "## Data format    : relat_time   v   F(v,t)\n";
        next;
}

# empty line and others comments
/^##/ || /^$/ {
        print;
        next;
}

// {
        if (($2 == 0.11 \
				|| $2 == 0.33 \
				|| $2 == 0.55 \
				|| $2 == 0.77 \
				|| $2 == 0.99 \
				|| $2 == 1.11 \
				|| $2 == 1.33 \
				|| $2 == 1.55 \
				|| $2 == 1.77 \
				|| $2 == 1.99 \
				|| $2 == 2.11 \
				|| $2 == 2.33 \
				|| $2 == 2.55 \
				|| $2 == 2.77 \
				|| $2 == 2.99 \
				|| $2 == 3.11 \
				|| $2 == 3.33 \
				|| $2 == 3.55 \
				|| $2 == 3.77 \
				|| $2 == 3.99 \
				|| $2 == 4.11 \
				|| $2 == 4.33 \
				|| $2 == 4.55 \
				|| $2 == 4.77 \
				|| $2 == 4.99 ) && ($7 != 0 || $8 != 0))
                print;
}

# vim: cindent

