# Dependencies between images generated automaticaly
# by generate-depend
##
## image-depend - generate dependencies for images.
##                Images are created by 'gnuplot'
##                from *.gpi input files
##
## Developed by Lubomir Host 'rajo' <rajo AT platon.sk>
## Copyright (c) 2003 Platon SDG
## Licensed under terms of GNU General Public License.
## All rights reserved.
##

## $Platon$

images/analytic.gpi: \
	images/analytic.dat \
	images/N-1e6_a-1E7_T-0.dat \
	images/analytic.dat \
	images/N-1e6_a-1E6_T-0.dat \
	images/analytic.dat \
	images/N-1e6_a-1E7_T-0.dat \
	images/distrib-N-1e6_lambda-3e-7_a-1e10_T-0.ENTROPY.dat 
	@echo '---- $@: $?'
	touch $@

images/distrib-beta-model.gpi: \
	images/distrib-N-5e5_T-300_alpha-0.1_beta-0.3_speed-0.dat \
	images/distrib-N-5e5_T-300_alpha-0.1_beta-0.3_speed-0.dat \
	images/distrib-N-5e5_T-300_alpha-0.1_beta-0.3_speed-0.dat \
	images/distrib-N-5e5_T-300_alpha-0.1_beta-0.3_speed-0.dat 
	@echo '---- $@: $?'
	touch $@

images/distrib_T-0.gpi: \
	images/analytic-chyba.dat \
	images/distrib-N-1e6_lambda-3e-7_a-1e10_T-0.dat 
	@echo '---- $@: $?'
	touch $@

images/distribucne-funkcie.gpi: 
	@echo '---- $@: $?'
	touch $@

images/drahy.gpi: 
	@echo '---- $@: $?'
	touch $@

images/entropy-alpha-0.1_beta-0.3_speed-0.gpi: \
	images/distrib-N-5e5_T-300_alpha-0.1_beta-0.3_speed-0.ENTROPY.dat 
	@echo '---- $@: $?'
	touch $@

images/hotGas-drift-speed.gpi: 
	@echo '---- $@: $?'
	touch $@

images/neumann.gpi: 
	@echo '---- $@: $?'
	touch $@

images/rychlost-ionu.gpi: \
	images/rychlost-ionu.dat 
	@echo '---- $@: $?'
	touch $@

images/schema-vdrift.gpi: \
	images/schema-vdrift.dat \
	images/schema-vdrift-zrazky.dat 
	@echo '---- $@: $?'
	touch $@

images/slide-analytic.gpi: \
	images/analytic.dat \
	images/N-1e6_a-1E7_T-0.dat \
	images/analytic.dat \
	images/N-1e6_a-1E6_T-0.dat \
	images/analytic.dat \
	images/N-1e6_a-1E7_T-0.dat \
	images/distrib-N-1e6_lambda-3e-7_a-1e10_T-0.ENTROPY.dat 
	@echo '---- $@: $?'
	touch $@

images/slide-casy-zrazok.gpi: \
	images/casy-zrazok.dat \
	images/casy-zrazok.dat 
	@echo '---- $@: $?'
	touch $@

images/slide-distrib_T-0.gpi: \
	images/distrib-N-1e6_lambda-3e-7_a-1e10_T-0.dat 
	@echo '---- $@: $?'
	touch $@

images/slide-distribucne-funkcie.gpi: 
	@echo '---- $@: $?'
	touch $@

images/slide-drahy.gpi: 
	@echo '---- $@: $?'
	touch $@

images/slide-entropy-x2-model.gpi: \
	images/x2-model_N-5e5_T-300_alpha-1_beta-0_speed-0.ENTROPY.dat 
	@echo '---- $@: $?'
	touch $@

images/slide-presnost-MC.gpi: \
	images/analytic-chyba.dat 
	@echo '---- $@: $?'
	touch $@

images/slide-vdrift_T-300K-normal-model.gpi: \
	images/normal-model-N-5e5_T-300_alpha-100_beta-0_speed-0.dat \
	images/normal-model-N-5e5_T-300_alpha-1_beta-0_speed-0.dat \
	images/normal-model-N-5e5_T-300_alpha-0.5_beta-0_speed-0.dat \
	images/normal-model-N-5e5_T-300_alpha-0.2_beta-0_speed-0.dat \
	images/normal-model-N-5e5_T-300_alpha-0.1_beta-0_speed-0.dat \
	images/normal-model-N-5e5_T-300_alpha-0.01_beta-0_speed-0.dat \
	images/normal-model-N-5e5_T-300_alpha-0.001_beta-0_speed-0.dat 
	@echo '---- $@: $?'
	touch $@

images/slide-vdrift_T-300K-x2-model.gpi: \
	images/x2-model_N-5e5_T-300_alpha-1000_speed-0.dat \
	images/x2-model_N-5e5_T-300_alpha-1_speed-0.dat \
	images/x2-model_N-5e5_T-300_alpha-0.5_speed-0.dat \
	images/x2-model_N-5e5_T-300_alpha-0.2_speed-0.dat \
	images/x2-model_N-5e5_T-300_alpha-0.1_speed-0.dat 
	@echo '---- $@: $?'
	touch $@

images/slide-zavislost-vdrift-E-beta-model.gpi: \
	images/zavislost-vdrift-E_T-300-beta-0-model.dat \
	images/zavislost-vdrift-E_T-300-beta-0.05-model.dat \
	images/zavislost-vdrift-E_T-300-beta-0.1-model.dat \
	images/zavislost-vdrift-E_T-300-beta-0.15-model.dat \
	images/zavislost-vdrift-E_T-300-beta-0.2-model.dat \
	images/zavislost-vdrift-E_T-300-beta-0.25-model.dat \
	images/zavislost-vdrift-E_T-300-beta-0.5-model.dat \
	images/zavislost-vdrift-E_T-300-beta-1.0-model.dat 
	@echo '---- $@: $?'
	touch $@

images/slide-zavislost-vdrift-E-normal-model.gpi: \
	images/zavislost-vdrift-E_T-300-normal-model.dat 
	@echo '---- $@: $?'
	touch $@

images/slide-zavislost-vdrift-E-x2-model.gpi: \
	images/zavislost-vdrift-E_T-300-x2-model.dat 
	@echo '---- $@: $?'
	touch $@

images/slide-zavislost-vdrift-E_T-0.gpi: \
	images/zavislost-vdrift-E_T-0.dat 
	@echo '---- $@: $?'
	touch $@

images/start-speed-distrib-v_drift.gpi: \
	images/analytic.dat 
	@echo '---- $@: $?'
	touch $@

images/start-speed-v_drift.gpi: \
	images/u-0_N-1e6_a-1e10_T-0.dat \
	images/u-0.6_N-1e6_a-1e10_T-0.dat \
	images/u-0.798_N-1e6_a-1e10_T-0.dat \
	images/u-1_N-1e6_a-1e10_T-0.dat \
	images/u-1.2_N-1e6_a-1e10_T-0.dat \
	images/u-3_N-1e6_a-1e10_T-0.dat \
	images/u-5_N-1e6_a-1e10_T-0.dat 
	@echo '---- $@: $?'
	touch $@

images/start-speed-v_drift_T-300.gpi: \
	images/N-5e5_T-300_alpha-0.05_beta-1.0_speed-0.6.dat \
	images/N-5e5_T-300_alpha-0.5_beta-1.0_speed-0.6.dat \
	images/N-5e5_T-300_alpha-1_beta-1.0_speed-0.6.dat \
	images/N-5e5_T-300_alpha-10_beta-1.0_speed-0.6.dat \
	images/N-5e5_T-300_alpha-0.05_beta-1.0_speed-1.2.dat \
	images/N-5e5_T-300_alpha-0.5_beta-1.0_speed-1.2.dat \
	images/N-5e5_T-300_alpha-1_beta-1.0_speed-1.2.dat \
	images/N-5e5_T-300_alpha-10_beta-1.0_speed-1.2.dat \
	images/N-5e5_T-300_alpha-0.05_beta-1.0_speed-0.798.dat \
	images/N-5e5_T-300_alpha-1_beta-1.0_speed-0.798.dat \
	images/N-5e5_T-300_alpha-10_beta-1.0_speed-0.798.dat \
	images/N-5e5_T-300_alpha-0.05_beta-1.0_speed-5.0.dat \
	images/N-5e5_T-300_alpha-0.5_beta-1.0_speed-5.0.dat \
	images/N-5e5_T-300_alpha-1_beta-1.0_speed-5.0.dat \
	images/N-5e5_T-300_alpha-10_beta-1.0_speed-5.0.dat 
	@echo '---- $@: $?'
	touch $@

images/vdrift_T-300K-beta-model.gpi: \
	images/N-5e5_T-300_alpha-1_beta-0.1_speed-0.dat \
	images/N-5e5_T-300_alpha-0.5_beta-0.1_speed-0.dat \
	images/N-5e5_T-300_alpha-0.1_beta-0.1_speed-0.dat \
	images/N-5e5_T-300_alpha-0.05_beta-0.1_speed-0.dat \
	images/N-5e5_T-300_alpha-0.02_beta-0.1_speed-0.dat \
	images/N-5e5_T-300_alpha-0.01_beta-0.1_speed-0.dat \
	images/N-5e5_T-300_alpha-1_beta-0.5_speed-0.dat \
	images/N-5e5_T-300_alpha-0.5_beta-0.5_speed-0.dat \
	images/N-5e5_T-300_alpha-0.1_beta-0.5_speed-0.dat \
	images/N-5e5_T-300_alpha-0.05_beta-0.5_speed-0.dat \
	images/N-5e5_T-300_alpha-0.02_beta-0.5_speed-0.dat \
	images/N-5e5_T-300_alpha-0.01_beta-0.5_speed-0.dat \
	images/N-5e5_T-300_alpha-1_beta-0.25_speed-0.dat \
	images/N-5e5_T-300_alpha-0.5_beta-0.25_speed-0.dat \
	images/N-5e5_T-300_alpha-0.1_beta-0.25_speed-0.dat \
	images/N-5e5_T-300_alpha-0.05_beta-0.25_speed-0.dat \
	images/N-5e5_T-300_alpha-0.02_beta-0.25_speed-0.dat \
	images/N-5e5_T-300_alpha-0.01_beta-0.25_speed-0.dat \
	images/N-5e5_T-300_alpha-1_beta-1.0_speed-0.dat \
	images/N-5e5_T-300_alpha-0.5_beta-1.0_speed-0.dat \
	images/N-5e5_T-300_alpha-0.1_beta-1.0_speed-0.dat \
	images/N-5e5_T-300_alpha-0.05_beta-1.0_speed-0.dat \
	images/N-5e5_T-300_alpha-0.02_beta-1.0_speed-0.dat \
	images/N-5e5_T-300_alpha-0.01_beta-1.0_speed-0.dat 
	@echo '---- $@: $?'
	touch $@

images/vdrift_T-300K-normal-model.gpi: \
	images/normal-model-N-5e5_T-300_alpha-100_beta-0_speed-0.dat \
	images/normal-model-N-5e5_T-300_alpha-1_beta-0_speed-0.dat \
	images/normal-model-N-5e5_T-300_alpha-0.5_beta-0_speed-0.dat \
	images/normal-model-N-5e5_T-300_alpha-0.2_beta-0_speed-0.dat \
	images/normal-model-N-5e5_T-300_alpha-0.1_beta-0_speed-0.dat \
	images/normal-model-N-5e5_T-300_alpha-0.01_beta-0_speed-0.dat \
	images/normal-model-N-5e5_T-300_alpha-0.001_beta-0_speed-0.dat \
	images/zavislost-vdrift-E_T-300-normal-model.dat 
	@echo '---- $@: $?'
	touch $@

images/vdrift_T-300K-x2-model.gpi: \
	images/x2-model_N-5e5_T-300_alpha-1000_speed-0.dat \
	images/x2-model_N-5e5_T-300_alpha-1_speed-0.dat \
	images/x2-model_N-5e5_T-300_alpha-0.5_speed-0.dat \
	images/x2-model_N-5e5_T-300_alpha-0.2_speed-0.dat \
	images/x2-model_N-5e5_T-300_alpha-0.1_speed-0.dat \
	images/x2-model_N-5e5_T-300_alpha-1_beta-0_speed-0.ENTROPY.dat \
	images/zavislost-vdrift-E_T-300-x2-model.dat \
	images/x2-model-distrib-N-5e5_T-300_alpha-1_beta-0_speed-0.dat 
	@echo '---- $@: $?'
	touch $@

images/zavislost-vdrift-E_T-0.gpi: \
	images/zavislost-vdrift-E_T-0.dat 
	@echo '---- $@: $?'
	touch $@

images/zavislost-vdrift-E_T-300-beta-model.gpi: \
	images/zavislost-vdrift-E_T-300-beta-0-model.dat \
	images/zavislost-vdrift-E_T-300-beta-0.05-model.dat \
	images/zavislost-vdrift-E_T-300-beta-0.1-model.dat \
	images/zavislost-vdrift-E_T-300-beta-0.15-model.dat \
	images/zavislost-vdrift-E_T-300-beta-0.2-model.dat \
	images/zavislost-vdrift-E_T-300-beta-0.25-model.dat \
	images/zavislost-vdrift-E_T-300-beta-0.5-model.dat \
	images/zavislost-vdrift-E_T-300-beta-1.0-model.dat 
	@echo '---- $@: $?'
	touch $@
#########################
# Used files:
# USED: images/analytic.dat
# USED: images/N-1e6_a-1E7_T-0.dat
# USED: images/analytic.dat
# USED: images/N-1e6_a-1E6_T-0.dat
# USED: images/analytic.dat
# USED: images/N-1e6_a-1E7_T-0.dat
# USED: images/distrib-N-1e6_lambda-3e-7_a-1e10_T-0.ENTROPY.dat
# USED: images/distrib-N-5e5_T-300_alpha-0.1_beta-0.3_speed-0.dat
# USED: images/distrib-N-5e5_T-300_alpha-0.1_beta-0.3_speed-0.dat
# USED: images/distrib-N-5e5_T-300_alpha-0.1_beta-0.3_speed-0.dat
# USED: images/distrib-N-5e5_T-300_alpha-0.1_beta-0.3_speed-0.dat
# USED: images/analytic-chyba.dat
# USED: images/distrib-N-1e6_lambda-3e-7_a-1e10_T-0.dat
# USED: images/distrib-N-5e5_T-300_alpha-0.1_beta-0.3_speed-0.ENTROPY.dat
# USED: images/rychlost-ionu.dat
# USED: images/schema-vdrift.dat
# USED: images/schema-vdrift-zrazky.dat
# USED: images/analytic.dat
# USED: images/N-1e6_a-1E7_T-0.dat
# USED: images/analytic.dat
# USED: images/N-1e6_a-1E6_T-0.dat
# USED: images/analytic.dat
# USED: images/N-1e6_a-1E7_T-0.dat
# USED: images/distrib-N-1e6_lambda-3e-7_a-1e10_T-0.ENTROPY.dat
# USED: images/casy-zrazok.dat
# USED: images/casy-zrazok.dat
# USED: images/distrib-N-1e6_lambda-3e-7_a-1e10_T-0.dat
# USED: images/x2-model_N-5e5_T-300_alpha-1_beta-0_speed-0.ENTROPY.dat
# USED: images/analytic-chyba.dat
# USED: images/normal-model-N-5e5_T-300_alpha-100_beta-0_speed-0.dat
# USED: images/normal-model-N-5e5_T-300_alpha-1_beta-0_speed-0.dat
# USED: images/normal-model-N-5e5_T-300_alpha-0.5_beta-0_speed-0.dat
# USED: images/normal-model-N-5e5_T-300_alpha-0.2_beta-0_speed-0.dat
# USED: images/normal-model-N-5e5_T-300_alpha-0.1_beta-0_speed-0.dat
# USED: images/normal-model-N-5e5_T-300_alpha-0.01_beta-0_speed-0.dat
# USED: images/normal-model-N-5e5_T-300_alpha-0.001_beta-0_speed-0.dat
# USED: images/x2-model_N-5e5_T-300_alpha-1000_speed-0.dat
# USED: images/x2-model_N-5e5_T-300_alpha-1_speed-0.dat
# USED: images/x2-model_N-5e5_T-300_alpha-0.5_speed-0.dat
# USED: images/x2-model_N-5e5_T-300_alpha-0.2_speed-0.dat
# USED: images/x2-model_N-5e5_T-300_alpha-0.1_speed-0.dat
# USED: images/zavislost-vdrift-E_T-300-beta-0-model.dat
# USED: images/zavislost-vdrift-E_T-300-beta-0.05-model.dat
# USED: images/zavislost-vdrift-E_T-300-beta-0.1-model.dat
# USED: images/zavislost-vdrift-E_T-300-beta-0.15-model.dat
# USED: images/zavislost-vdrift-E_T-300-beta-0.2-model.dat
# USED: images/zavislost-vdrift-E_T-300-beta-0.25-model.dat
# USED: images/zavislost-vdrift-E_T-300-beta-0.5-model.dat
# USED: images/zavislost-vdrift-E_T-300-beta-1.0-model.dat
# USED: images/zavislost-vdrift-E_T-300-normal-model.dat
# USED: images/zavislost-vdrift-E_T-300-x2-model.dat
# USED: images/zavislost-vdrift-E_T-0.dat
# USED: images/analytic.dat
# USED: images/u-0_N-1e6_a-1e10_T-0.dat
# USED: images/u-0.6_N-1e6_a-1e10_T-0.dat
# USED: images/u-0.798_N-1e6_a-1e10_T-0.dat
# USED: images/u-1_N-1e6_a-1e10_T-0.dat
# USED: images/u-1.2_N-1e6_a-1e10_T-0.dat
# USED: images/u-3_N-1e6_a-1e10_T-0.dat
# USED: images/u-5_N-1e6_a-1e10_T-0.dat
# USED: images/N-5e5_T-300_alpha-0.05_beta-1.0_speed-0.6.dat
# USED: images/N-5e5_T-300_alpha-0.5_beta-1.0_speed-0.6.dat
# USED: images/N-5e5_T-300_alpha-1_beta-1.0_speed-0.6.dat
# USED: images/N-5e5_T-300_alpha-10_beta-1.0_speed-0.6.dat
# USED: images/N-5e5_T-300_alpha-0.05_beta-1.0_speed-1.2.dat
# USED: images/N-5e5_T-300_alpha-0.5_beta-1.0_speed-1.2.dat
# USED: images/N-5e5_T-300_alpha-1_beta-1.0_speed-1.2.dat
# USED: images/N-5e5_T-300_alpha-10_beta-1.0_speed-1.2.dat
# USED: images/N-5e5_T-300_alpha-0.05_beta-1.0_speed-0.798.dat
# USED: images/N-5e5_T-300_alpha-1_beta-1.0_speed-0.798.dat
# USED: images/N-5e5_T-300_alpha-10_beta-1.0_speed-0.798.dat
# USED: images/N-5e5_T-300_alpha-0.05_beta-1.0_speed-5.0.dat
# USED: images/N-5e5_T-300_alpha-0.5_beta-1.0_speed-5.0.dat
# USED: images/N-5e5_T-300_alpha-1_beta-1.0_speed-5.0.dat
# USED: images/N-5e5_T-300_alpha-10_beta-1.0_speed-5.0.dat
# USED: images/N-5e5_T-300_alpha-1_beta-0.1_speed-0.dat
# USED: images/N-5e5_T-300_alpha-0.5_beta-0.1_speed-0.dat
# USED: images/N-5e5_T-300_alpha-0.1_beta-0.1_speed-0.dat
# USED: images/N-5e5_T-300_alpha-0.05_beta-0.1_speed-0.dat
# USED: images/N-5e5_T-300_alpha-0.02_beta-0.1_speed-0.dat
# USED: images/N-5e5_T-300_alpha-0.01_beta-0.1_speed-0.dat
# USED: images/N-5e5_T-300_alpha-1_beta-0.5_speed-0.dat
# USED: images/N-5e5_T-300_alpha-0.5_beta-0.5_speed-0.dat
# USED: images/N-5e5_T-300_alpha-0.1_beta-0.5_speed-0.dat
# USED: images/N-5e5_T-300_alpha-0.05_beta-0.5_speed-0.dat
# USED: images/N-5e5_T-300_alpha-0.02_beta-0.5_speed-0.dat
# USED: images/N-5e5_T-300_alpha-0.01_beta-0.5_speed-0.dat
# USED: images/N-5e5_T-300_alpha-1_beta-0.25_speed-0.dat
# USED: images/N-5e5_T-300_alpha-0.5_beta-0.25_speed-0.dat
# USED: images/N-5e5_T-300_alpha-0.1_beta-0.25_speed-0.dat
# USED: images/N-5e5_T-300_alpha-0.05_beta-0.25_speed-0.dat
# USED: images/N-5e5_T-300_alpha-0.02_beta-0.25_speed-0.dat
# USED: images/N-5e5_T-300_alpha-0.01_beta-0.25_speed-0.dat
# USED: images/N-5e5_T-300_alpha-1_beta-1.0_speed-0.dat
# USED: images/N-5e5_T-300_alpha-0.5_beta-1.0_speed-0.dat
# USED: images/N-5e5_T-300_alpha-0.1_beta-1.0_speed-0.dat
# USED: images/N-5e5_T-300_alpha-0.05_beta-1.0_speed-0.dat
# USED: images/N-5e5_T-300_alpha-0.02_beta-1.0_speed-0.dat
# USED: images/N-5e5_T-300_alpha-0.01_beta-1.0_speed-0.dat
# USED: images/normal-model-N-5e5_T-300_alpha-100_beta-0_speed-0.dat
# USED: images/normal-model-N-5e5_T-300_alpha-1_beta-0_speed-0.dat
# USED: images/normal-model-N-5e5_T-300_alpha-0.5_beta-0_speed-0.dat
# USED: images/normal-model-N-5e5_T-300_alpha-0.2_beta-0_speed-0.dat
# USED: images/normal-model-N-5e5_T-300_alpha-0.1_beta-0_speed-0.dat
# USED: images/normal-model-N-5e5_T-300_alpha-0.01_beta-0_speed-0.dat
# USED: images/normal-model-N-5e5_T-300_alpha-0.001_beta-0_speed-0.dat
# USED: images/zavislost-vdrift-E_T-300-normal-model.dat
# USED: images/x2-model_N-5e5_T-300_alpha-1000_speed-0.dat
# USED: images/x2-model_N-5e5_T-300_alpha-1_speed-0.dat
# USED: images/x2-model_N-5e5_T-300_alpha-0.5_speed-0.dat
# USED: images/x2-model_N-5e5_T-300_alpha-0.2_speed-0.dat
# USED: images/x2-model_N-5e5_T-300_alpha-0.1_speed-0.dat
# USED: images/x2-model_N-5e5_T-300_alpha-1_beta-0_speed-0.ENTROPY.dat
# USED: images/zavislost-vdrift-E_T-300-x2-model.dat
# USED: images/x2-model-distrib-N-5e5_T-300_alpha-1_beta-0_speed-0.dat
# USED: images/zavislost-vdrift-E_T-0.dat
# USED: images/zavislost-vdrift-E_T-300-beta-0-model.dat
# USED: images/zavislost-vdrift-E_T-300-beta-0.05-model.dat
# USED: images/zavislost-vdrift-E_T-300-beta-0.1-model.dat
# USED: images/zavislost-vdrift-E_T-300-beta-0.15-model.dat
# USED: images/zavislost-vdrift-E_T-300-beta-0.2-model.dat
# USED: images/zavislost-vdrift-E_T-300-beta-0.25-model.dat
# USED: images/zavislost-vdrift-E_T-300-beta-0.5-model.dat
# USED: images/zavislost-vdrift-E_T-300-beta-1.0-model.dat

# End of dependencies
# vim: ft=make
